Skip to Content

Bosch eBike Connect

Automotive Electronics

The first all-in-one onboard computer for the e-bike

Download



The Bosch eBike Connect app can be used to adjust the settings for the Bosch Nyon eBike computer.

You can connect the Nyon with your smartphone and edit, store and synchronize your eBike, riding and user data. The most important features are listed below. More features are planned for future releases.

We recommend updating your Nyon to the latest software version (1.3.0.0).
The version information can be found on your Nyon at Settings -> Help -> System Information -> HMI SW Version Front-End. To perform an update of the Nyon, a Wi-Fi connection is required (Nyon: Settings -> Connection -> Wi-Fi) or contact your dealer. The functionality may be restricted when using earlier Nyon software versions.

ACTIVITIES
- Your eBike rides shown clearly and in detail

MAP AND NAVIGATION
- Convenient address input and transfer to Nyon
- Calculation and display of the eBikes remaining range

SHOP
- Custom Riding Modes for your Bosch eBike drive (premium feature)
- Map downloads

SETTINGS
- Personal details
- Change home and work address
- Set up Custom Screens on Nyon
- Configuration of Custom Riding Modes (premium feature)
- Connection settings to Nyon

HELP
- FAQs

Please note that this app can only be used for eBikes with Bosch drive and Nyon eBike computer.

Please find the end user license agreement for the Bosch eBike Connect Android App here: https://www.ebike-connect.com/documents/EULA_AN_en.pdf

Available in Languages

iOS: Danish (da), Dutch (nl), English (en), French (fr), German (de), Italian (it), Spanish (es)

What's New

Mountain bike route function: A new routing profile specifically optimized for MTB tours. MTB routing selects trails and very narrow streets.

New navigation function: Destinations can now be entered by simply touching the smartphone display.

Price:  Free
Languages:  Limited
Category:  Health & Fitness

Other
Requires iOS 7.0 or later. This app is optimized for iPhone 5. Android requires OS 4.0.3 and up.